# Get custom oauth app integrations

Launch stage: GA

`GET /api/2.0/accounts/{account_id}/oauth2/custom-app-integrations`

Get the list of custom OAuth app integrations for the specified <Account>

API scopes: authentication

## Path parameters

- `account_id` (string, required)

## Query parameters

- `page_token` (string, optional)
- `page_size` (int32, optional)
  Default: `100`
- `include_creator_username` (boolean, optional)

## Returns

Returns a list of CustomOAuthAppIntegration objects.

## Response

```json
{
  "apps": [
    {
      "integration_id": "string",
      "client_id": "string",
      "redirect_urls": [
        "string"
      ],
      "name": "string",
      "confidential": false,
      "token_access_policy": {},
      "scopes": [
        "string"
      ],
      "created_by": 0,
      "create_time": "string",
      "creator_username": "string",
      "user_authorized_scopes": [
        "string"
      ]
    }
  ],
  "next_page_token": "string"
}
```

